Bug 115378 - mailman tiny RedirectMatch syntax fix
mailman tiny RedirectMatch syntax fix
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mailman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 12:19 EST by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-05 21:07:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-02-11 12:19:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040209 Firefox/0.8

Description of problem:
/etc/httpd/conf.d/mailman.conf:
#
#  httpd configuration settings for use with mailman.
#

ScriptAlias /mailman/ @MMDIR@/cgi-bin/
Alias /pipermail/ @VARMMDIR@/archives/public/
<Directory @VARMMDIR@/archives>
        Options +FollowSymlinks
</Directory>

# Uncomment the following line, replacing www.example.com with your
server's
# name, to redirect queries to /mailman to the listinfo page
(recommended).

# RedirectMatch /mailman[/]*$ http://www.example.com/mailman/listinfo


On a FC1 system I uncommented out the bottom line and set my domain
name.  Then following the REDHAT install directions I created a
mailing list called "mailman".  Unfortunately this seems to cause
problems.

http://www.example.com/mailman/
This URL properly redirects to
http://www.example.com/mailman/listinfo

http://www.example.com/mailman/listinfo/mailman
but this URL also redirects to
http://www.example.com/mailman/listinfo

It seems that the RedirectMatch happens for any directory in the path
ending with "/mailman[/]".  When I changed the rule to read:

RedirectMatch ^/mailman[/]*$ http://www.example.com/mailman/listinfo

http://www.example.com/mailman/listinfo/mailman
Then this URL works without redirecting by mistake.

RCS file: /cvs/pkgs/rpms/mailman/httpd-mailman.conf,v
retrieving revision 1.2
diff -u -p -r1.2 httpd-mailman.conf
--- httpd-mailman.conf  18 Feb 2003 18:30:09 -0000      1.2
+++ httpd-mailman.conf  11 Feb 2004 17:22:28 -0000
@@ -11,4 +11,4 @@ Alias /pipermail/ @VARMMDIR@/archives/pu
 # Uncomment the following line, replacing www.example.com with your
server's
 # name, to redirect queries to /mailman to the listinfo page
(recommended).
  
-# RedirectMatch /mailman[/]*$ http://www.example.com/mailman/listinfo
+# RedirectMatch ^/mailman[/]*$ http://www.example.com/mailman/listinfo


Version-Release number of selected component (if applicable):
mailman-2.1.4-1

Note You need to log in before you can comment on or make changes to this bug.